--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new DataStream with text <em>text</em> and attributes held by <em>hash</em>. Either parameter can be missing; if <em>text</em> is missing, the text can be be defined in the <em>hash</em> with a :text key.
full_name: "::Bot::DataStream::new"
is_singleton: true
name: new
params: " new(text, hash)\n"
visibility: public
